<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_border_3"
    android:orientation="vertical"
    tools:context="jp.odakyu.toiletsignage.activity.SignageActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/mainTitleJPTextView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingBottom="2dp"
                android:paddingTop="20dp"
                android:text="@string/toilet_vacant_info_jp"
                android:textAlignment="textEnd"
                android:textColor="#746661"
                android:textSize="52sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/mainTitleENTextView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1.05"
                android:paddingBottom="2dp"
                android:paddingTop="20dp"
                android:text="@string/toilet_vacant_info_en"
                android:textAlignment="viewStart"
                android:textColor="#746661"
                android:textSize="40sp" />
        </LinearLayout>

        <View
            android:id="@+id/separator"
            android:layout_width="match_parent"
            android:layout_height="4dip"
            android:layout_marginEnd="50dp"
            android:layout_marginStart="50dp"
            
            android:background="#746661" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/statusIconImageView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="150dp"
            app:srcCompat="@drawable/icon_empty_3" />

        <ImageView
            android:id="@+id/sexualityIconImageView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="75dp"
            app:srcCompat="@drawable/icon_man_3" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="40dp"
            android:layout_marginTop="40dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/vacantTitleJPTextView"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/vacant_jp"
                        android:textAlignment="center"
                        android:textColor="#746661"
                        android:textSize="50sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/vacantTitleENTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/vacant_en"
                        android:textAlignment="center"
                        android:textColor="#746661"
                        android:textSize="30sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <TextView
                    android:id="@+id/vacantCountTextView"
                    android:layout_width="135dp"
                    android:layout_height="135dp"
                    android:layout_marginStart="35dp"
                    android:layout_marginEnd="40dp"
                    android:background="@drawable/textview_count_border"
                    android:gravity="center"
                    android:textColor="#746661"
                    android:textAlignment="center"
                    android:textSize="50sp" />

            </LinearLayout>

            <View
                android:id="@+id/separator2"
                android:layout_width="match_parent"
                android:layout_height="3dip"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="20dp"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:background="#746661" />

            <LinearLayout

                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/totalTitleJPTextView"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/total_jp"
                        android:textAlignment="center"
                        android:textColor="#746661"
                        android:textSize="50sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/totalTitleENTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="@string/total_en"
                        android:textAlignment="center"
                        android:textColor="#746661"
                        android:textSize="30sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <TextView
                    android:id="@+id/totalCountTextView"
                    android:layout_width="135dp"
                    android:layout_height="135dp"
                    android:layout_marginStart="35dp"
                    android:background="@drawable/textview_count_border"
                    android:gravity="center"
                    android:textAlignment="center"
                    android:textColor="#746661"
                    android:textSize="50sp" />
            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#746661"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/subTitleJPTextView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="1dp"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:paddingEnd="60dp"
                android:text="@string/near_toilet_info_jp"
                android:textAlignment="textEnd"
                android:textColor="@android:color/white"
                android:textSize="41sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/subTitleENTextView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="1dp"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:paddingStart="10dp"
                android:text="@string/near_toilet_info_en"
                android:textAlignment="textStart"
                android:textColor="@android:color/white"
                android:textSize="37sp" />
        </LinearLayout>

        <View
            android:id="@+id/separator3"
            android:layout_width="match_parent"
            android:layout_height="4dip"
            android:layout_marginEnd="50dp"
            android:layout_marginStart="50dp"
            android:background="#FFFFFF" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="50dp"
                android:layout_weight="1"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginTop="15dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/leftGateNameJPTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="@string/left_toilet_info_jp"
                        android:textAlignment="center"
                        android:textColor="@android:color/white"
                        android:textSize="40sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/leftGateNameENTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="@string/left_toilet_info_en"
                        android:textAlignment="center"
                        android:textColor="@android:color/white"
                        android:textSize="25sp" />

                </LinearLayout>

                <ImageView
                    android:id="@+id/leftStatusIconImageView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="22dp"
                    app:srcCompat="@drawable/icon_empty_sub" />

                <View
                    android:id="@+id/separator4"
                    android:layout_width="4dip"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="18dp"
                    android:layout_marginBottom="18dp"
                    android:background="#FFFFFF" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:layout_marginTop="15dp"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/rightGateNameJPTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:maxLines="1"
                        android:text="@string/right_toilet_info_jp"
                        android:textAlignment="center"
                        android:textColor="@android:color/white"
                        android:textSize="40sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/rightGateNameENTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:ellipsize="end"
                        android:singleLine="true"
                        android:text="@string/right_toilet_info_en"
                        android:textAlignment="center"
                        android:textColor="@android:color/white"
                        android:textSize="25sp" />

                </LinearLayout>

                <ImageView
                    android:id="@+id/rightStatusIconImageView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginEnd="50dp"
                    android:layout_marginTop="22dp"
                    app:srcCompat="@drawable/icon_full_sub" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>
